curl --request GET \
--url https://api.synctera.com/v2/autopays \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/autopays"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/autopays', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"autopays": [
{
"autopay_type": "STATEMENT",
"config_snapshot": {
"amount_rule": "MINIMUM_DUE",
"autopay_type": "STATEMENT",
"failure_policy": "NO_RETRY",
"payment_method": "ACH",
"timing_rule": "ON_DUE_DATE",
"description_template": "Autopay for account ending in {{.Last4AccountId}}",
"payment_configs": {
"ach": {
"external_account_id": "8f5b4c62-f5a0-4e68-9669-19dbc7a74d8e",
"is_same_day": true,
"sec_code": "WEB"
},
"internal_transfer": {
"source_account_id": "8f5b4c62-f5a0-4e68-9669-19dbc7a74d8e",
"subtype": "autopay_payment"
}
},
"rule_configs": {
"current_balance": {},
"days_before_due": {
"offset_days": 3
},
"fixed_amount": {
"amount": 10000
},
"minimum_due": {},
"statement_balance": {}
}
},
"creation_time": "2024-01-15T10:30:00Z",
"id": "2d0f7601-ecc6-48b4-b82f-5d64fa84628b",
"last_updated_time": "2024-01-15T10:30:00Z",
"lending_account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"rendered_description": "Autopay for account ending in 1234",
"scheduled_date": "2024-01-25",
"status": "PENDING",
"attempt_history": {
"attempts": [
{
"attempted_at": "2024-01-25T14:30:00Z",
"status": "SUCCESS",
"payment_attributes": {
"ach_id": "6a4b1045-cdd0-82f8-f26c-9e08ce28062f",
"transaction_id": "7b5c2156-dee1-93a9-a37d-0f19df39173a"
},
"reason": "Insufficient funds in payment source account"
}
]
},
"autopay_config_id": "3e1f8712-fdd7-59c5-c93f-6e75fb95739c",
"billing_period_id": "4f2g9823-gee8-60d6-d04g-7f86gc06840d",
"current_amount": 5000,
"executed_amount": 5000,
"payment_attributes": {
"ach_id": "6a4b1045-cdd0-82f8-f26c-9e08ce28062f",
"transaction_id": "7b5c2156-dee1-93a9-a37d-0f19df39173a"
},
"statement_id": "5g3h0934-hff9-71e7-e15h-8g97hd17951e",
"tenant": {
"bank_id": 6,
"partner_id": 6
}
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}List autopays
🚧 Beta This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.
List autopay records with optional filters. Autopays are created automatically when a statement is generated for an account with an active autopay configuration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
Case insensitive wildcard search for rendered_description, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
scheduled_date:asc, scheduled_date:desc, creation_time:asc, creation_time:desc, last_updated_time:asc, last_updated_time:desc Status of the autopay:
- PENDING: Autopay is scheduled and waiting to be executed
- EXECUTED: Autopay was successfully executed
- SKIPPED: Autopay was skipped (e.g., no balance due)
- FAILED: Autopay failed to execute
PENDING, EXECUTED, SKIPPED, FAILED The id of the tenant containing the resource.
Was this page helpful?

